Subject: Re: [netlmm] WGLC: draft-ietf-netlmm-proxymip6-07

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 9 Nov 2007 07:38:16 -0800 (PST)

----- Original Message ----
From: Sri Gundavelli <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Sent: Friday, November 9, 2007 8:52:12 AM
Subject: RE: [netlmm] WGLC: draft-ietf-netlmm-proxymip6-07

Hi Jouni,

On Fri, 9 Nov 2007, [email-masked] wrote:

> Hi,
>
> Two initial comments.
>
> First, section 8.4 defines the Access Technology Type Option.
> There was a draft some time ago that defined similar MIP6 option
> (draft-daniel-mip-link-characteristic) that didn't receive too much
> acceptance. 
[behcet] I wonder why? Could someone explain this?
I found out that in RFC 3315 (DHCPv6) they defined the hardware type to be part of DUID. DUID is defined in order to identify interfaces, that's what we have here too.
  Hardware type is defined in RFC 826.
Why not use the hardware type? An interface card/chip is a piece of hardware.

With a respect to this I would like to see some text in
> draft-*-proxymip6 that makes it clear the option is also available
 for
> CMIP6. There are usecases for CMIP6. Reading the current text it is
 not
> clear to me whether this option is also available for CMIP6 and what
> a HA/CN should with HI field. Obviously the Access Technology Type
> Option would be option for CMIP6.
>

This draft cant say much about the applicability of this option
in CMIP6.

> Second, regarding "Access Technology Type" the division of access
> technologies should either be in greater detail or by grouping
 "family".
> For example grouping by family:
>

Sure. We were looking for some existing registry/definitions for
this, instead of we creating a new registry. Any case, this can
go as granular as it can be.

Sri

>        0: Reserved
>        1: 802.3
>        2: 802.11 (any present and future .11 variant)
>        3: 802.16 (any present and future .16 variant)
>        4: PPP
>
> I guess PPP means CDMA..? What about other PP2 types?
>
>        5: GPRS (includes 2G/3G/LTE)
>        6: Virtual (MAG has no idea of tech type, typically some
 tunnel,
>           take example of EPC S2b interface)
>
> Or then in more detail:
>
>        0:  reserved
>        1:  Virtual (the physical link type is irrelevant)
>        0:  LAN  (802.3)
>        1:  WLAN (802.11b)
>        2:  WLAN (802.11a)
>        3:  WLAN (802.11g)
>        4:  WLAN (802.11n)
>        5:  CDMA (meaning ?)
>        6:  GPRS (meaning 3GPP 2G)
>        7:  UMTS (meaning 3GPP 3G)
>        8:  LTE
>        9:  802.16e
>        ...
>
> Cheers,
>     Jouni
>
>
>
>
>> -----Original Message-----
>> From: Soininen Jonne (NSN FI/Espoo) [mailto:[email-masked]]
>> Sent: 7. marraskuuta 2007 19:28
>> To: [email-masked]
>> Subject: [netlmm] WGLC: draft-ietf-netlmm-proxymip6-07
>>
>>
>> <Chair hat on>
>> Hello everybody,
>>
>> As discussed earlier, the Working Group Last Call for
>> draft-ietf-netlmm-proxymip6 is hereby started.
>>
>> To make sure all the time zones are covered, and everybody
>> has at least two weeks to to comment, the last call will end
>> on Friday Nov 23rd end of business time in PST.
>>
>> Yours truly,
>>
>> Vidya and Jonne - the chairs.
>>
>> --
>> Jonne Soininen
>> Nokia Siemens Networks
>>
>> Tel: +358 40 527 46 34
>> E-mail: [email-masked]
>>
>>
>>
>>
>> _______________________________________________
>> netlmm mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/netlmm
>>
>
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm